package com.energy.manage.common.util;

public class IdGeneratorUtil {


    public static final int DEC_INIT_LENGTH = 5;


    public static final int DEC_SECOND_INIT_LENGTH = 4;

    /**
     * 默认4位数字
     * @param number 实际数字
     * @return
     */
    public static String zeroFillUtil(Long number) {

        return String.format("%0" + DEC_INIT_LENGTH + "d", number);
    }

    /**
     * @param number 实际数字
     * @param digit  长度
     * @return
     */
    public static String zeroFillUtil(Long number, Integer digit) {

        return String.format("%0" + digit + "d", number);
    }

}
